
import java.util.*;

public class UnorderedArraySet<E> extends AbstractSet<E> {

    private List<E> list;

    public UnorderedArraySet() {
        list = new ArrayList<E>();
    }

    public Iterator<E> iterator() {
        throw new UnsupportedOperationException("iterator() not implemented");
    }

    public int size() {
        return list.size();
    }

    public boolean contains(Object item) {
        return list.indexOf(item) >= 0;
    }

    public boolean add(E item) {
        if (contains(item))
            return false;
        list.add(item);
        return true;
    }

}
